Thai3Dviz  

Go Back   Thai3Dviz > AutoCad > ห้องดราฟ (AutoCad)

ห้องดราฟ (AutoCad) ข่าวน่าสนใจ ,ถาม ตอบปัญหา เกี่ยวกับโปรแกรม AutoCad

Reply
 
Share Thread Tools Display Modes
Old 23-11-2009, 02:29 PM   #1
LUCIFER666
สมาชิกไทยวิซ
 
LUCIFER666's Avatar
 
Join Date: May 2008
Location: BKK
Posts: 63
LUCIFER666 is on a distinguished road
Default รบกวนช่วยบอกวิธี rotate ภาพในหน้า paper หน่อยค่ะ

คือเขียน drawing ปกติในระนาบของหน้า model นะคะ แต่อยากให้ภาพในหน้า paper เป้นภาพ rotate 90 องศาน่ะค่ะ โดยที่ภาพในหน้า model ยังคงเหมือนเดิม เพื่อนๆที่ทราบรบกวนหน่อยนะคะ (พยายามหาในนี้แล้วไม่มีค่ะ หรือว่าหาไม่เจอก็ไม่รู้ค่ะ)

ขอบคุณล่วงหน้านะคะ
__________________
Never fear shadow.

They simply mean there's a light shining

some where near by.
LUCIFER666 is offline  

Reply With Quote
Old 23-11-2009, 03:10 PM   #2
LUCIFER666
สมาชิกไทยวิซ
 
LUCIFER666's Avatar
 
Join Date: May 2008
Location: BKK
Posts: 63
LUCIFER666 is on a distinguished road
Default

แงงงงง......ไม่มีใครช่วยได้เลยเหรอออออออออออ.....ฮ ือ...
__________________
Never fear shadow.

They simply mean there's a light shining

some where near by.
LUCIFER666 is offline   Reply With Quote
Old 23-11-2009, 03:25 PM   #3
nigon-25
สมาชิกไทยวิซ
 
nigon-25's Avatar
 
Join Date: Oct 2006
Location: ตามถนน และหนทาง.....
Posts: 403
nigon-25 will become famous soon enoughnigon-25 will become famous soon enough
Send a message via MSN to nigon-25
Default

1.คลิ๊กขวาที่ Layout ที่จะทำการปรับให้ตั้ง 90 องศา
2.ไปที่ Page setup Manager / Modify / ข้างล่างด้านขวามือ ไปคลิ๊กเปลี่ยนจาก
Landscape เป็น Portrait / OK แล้วครับ แค่นี้กรอบ Layout เราก็จะปรับเป็น 90
องศาตามแล้วละครับ
3.แล้วเราก็มา Rotate กรอบกระดาษและกรอบ viewports ตามแนวกรอบ Layout
4. กลับไปดูที่ Model ก็จะยังอยู่เหมือนเดิม
__________________
จะพัฒนาบ้านนอกให้เจริญ
To view links or images in signatures your post count must be 10 or greater. You currently have 0 posts.
nigon-25 is offline   Reply With Quote
Old 23-11-2009, 03:43 PM   #4
LUCIFER666
สมาชิกไทยวิซ
 
LUCIFER666's Avatar
 
Join Date: May 2008
Location: BKK
Posts: 63
LUCIFER666 is on a distinguished road
Default

อื่มมมม ไม่ใช่แบบนั้นค่ะ จะอธิบายยังงัยดี มันเกี่ยวกะการใช้ ucs นะคะ คือ ในแปลนที่ต้องแสดงเป็นภาพปกติ แต่ detail plan ที่เป็นภาพขยายจะต้องเจาะอีกช่องนึง ช่องใหม่ที่เจาะขยายนี่แหละค่ะ ที่ต้องการให้มันปรับเป็นแนวนอน ส่วนช่องเดิมจะเป็นแนวตั้งนะคะ (งงไม๊ค๊ะเนี่ย) แต่ยังงัยก็ขอขอบคุณนะคะ ที่มาช่วยให้ไอเดีย แต่บังเอิญ dwg นี้มันมีหลายภาพค่ะ ขอบคุณนะคะ
__________________
Never fear shadow.

They simply mean there's a light shining

some where near by.
LUCIFER666 is offline   Reply With Quote
Old 23-11-2009, 03:50 PM   #5
nigon-25
สมาชิกไทยวิซ
 
nigon-25's Avatar
 
Join Date: Oct 2006
Location: ตามถนน และหนทาง.....
Posts: 403
nigon-25 will become famous soon enoughnigon-25 will become famous soon enough
Send a message via MSN to nigon-25
Default

Quote:
Originally Posted by LUCIFER666 View Post
อื่มมมม ไม่ใช่แบบนั้นค่ะ จะอธิบายยังงัยดี มันเกี่ยวกะการใช้ ucs นะคะ คือ ในแปลนที่ต้องแสดงเป็นภาพปกติ แต่ detail plan ที่เป็นภาพขยายจะต้องเจาะอีกช่องนึง ช่องใหม่ที่เจาะขยายนี่แหละค่ะ ที่ต้องการให้มันปรับเป็นแนวนอน ส่วนช่องเดิมจะเป็นแนวตั้งนะคะ (งงไม๊ค๊ะเนี่ย) แต่ยังงัยก็ขอขอบคุณนะคะ ที่มาช่วยให้ไอเดีย แต่บังเอิญ dwg นี้มันมีหลายภาพค่ะ ขอบคุณนะคะ
ขอโทษที่นะครับ
แต่
งงมีรูปให้ดูคงจะดี นะครับ
__________________
จะพัฒนาบ้านนอกให้เจริญ
To view links or images in signatures your post count must be 10 or greater. You currently have 0 posts.
nigon-25 is offline   Reply With Quote
Old 23-11-2009, 04:07 PM   #6
LUCIFER666
สมาชิกไทยวิซ
 
LUCIFER666's Avatar
 
Join Date: May 2008
Location: BKK
Posts: 63
LUCIFER666 is on a distinguished road
Default

นี่เป็นไฟล์งานของคนอื่นนะคะ อยากทำได้แบบนี้น่ะค่ะ ภาพนี้เป็นภาพในหน้าโมเดลค่ะ จะเห็นว่าภาพรูปด้านเขียนจากแปลนที่ project เส้นขึ้นจากด้านทั้ง 4 ด้าน อะนะคะ
__________________
Never fear shadow.

They simply mean there's a light shining

some where near by.
LUCIFER666 is offline   Reply With Quote
Old 23-11-2009, 04:56 PM   #7
KanoknonP
สมาชิกไทยวิซ
 
KanoknonP's Avatar
 
Join Date: Apr 2007
Location: หนองคาย
Posts: 716
KanoknonP has a spectacular aura aboutKanoknonP has a spectacular aura about
Default

Quote:
Originally Posted by lucifer666 View Post
คือเขียน drawing ปกติในระนาบของหน้า model นะคะ แต่อยากให้ภาพในหน้า paper เป้นภาพ rotate 90 องศาน่ะค่ะ โดยที่ภาพในหน้า model ยังคงเหมือนเดิม เพื่อนๆที่ทราบรบกวนหน่อยนะคะ (พยายามหาในนี้แล้วไม่มีค่ะ หรือว่าหาไม่เจอก็ไม่รู้ค่ะ) :d

ขอบคุณล่วงหน้านะคะ

รอแป๊บนึงน่ะ .. กำลังทำติวเตอร์ให้อยู่ .. เดี๋ยวพรุ่งนี้อัพโหลดให้ดู
__________________
!! เบสิค..แน่น..เปรียบเหมือน.เทคนิค.ที่หวือหวา !!
KanoknonP is offline   Reply With Quote
Old 24-11-2009, 01:00 PM   #8
KanoknonP
สมาชิกไทยวิซ
 
KanoknonP's Avatar
 
Join Date: Apr 2007
Location: หนองคาย
Posts: 716
KanoknonP has a spectacular aura aboutKanoknonP has a spectacular aura about
Default

รูปแสดงแนวการหมุนของ UCS FOLLOW
- พิมพ์ UCS แล้วเลือกตัวเลือก OB(OBject) แล้วคลิกเลือกที่บริเวณค่อนไปทางปลายเส้นสีเขียว(แกน y) หน้าจอเราก็จะหมุนทีละ +90 องศา
- พิมพ์ UCS แล้วเลือกตัวเลือก OB(OBject) แล้วคลิกเลือกที่บริเวณค่อนไปทางปลายเส้นสีเขียวอ่อน (แกน -y) หน้าจอเราก็จะหมุนทีละ -90 องศา
- พิมพ์ UCS แล้วเลือกตัวเลือก OB(OBject) แล้วคลิกเลือกที่บริเวณค่อนไปทางปลายเส้นสีแดง(แกน x) หน้าจอเราก็จะหมุนทีละ -180 องศา
- พิมพ์ UCS แล้วเลือกตัวเลือก OB(OBject) แล้วคลิกเลือกที่บริเวณค่อนไปทางปลายเส้นสีชมพู (แกน -x) หน้าจอเราก็จะหมุนทีละ +180 องศา




-----------------------------------------------
รูปข้างล่าง .. แสดงรูปที่อยู่ในหน้า Model space



----------------------------------------------------------------------
รูปข้างล่าง .. แสดงให้เห็นรูปที่จัดวิวพอร์ทเรียบร้อยแล้ว(แต่ยังไม ่ได้หมุนวัตถุให้ถูกต้อง)
!!.แนะนำ. !! ให้คลิกเพื่อสร้างวิวพอร์ทใคร วิวพอร์ทมัน อย่าก๊อปปี้เพื่อจะนำมาจัดเป็นวิวพอร์ทอื่น



-----------------------------------------------------------------------
ขั้นตอนการทำวัดถุให้หมุนตาม ucs
*เปิดทูลบาร์ UCS II **
1. ดับเบิ้ลคลิกที่วิวพอร์ทที่ต้องการ
2. คลิกเลือกทูลบาร์ Name UCS
3. มีหน้าต่าง UCS ขึ้นมา ไปที่แถบ Settings
4. ติ๊กถูกหน้า Update View to Plan when UCS is changed
คลิก OK
5. คลิกที่ ทูลบาร์ UCS
6. พิมพ์ OB(OBject) โดยคลิกขวาค้างหรือเลือกตัวเลือกที่บรรทัดคำสั่ง
7. คลิกเลือกบริเวณปลายเส้น
** จะเห็นว่า หน้าจอเราได้หมุนไปตามที่เราเลือก (ดูตามรูปแรก) และจะขยายรูปให้เต็มวิวพอร์ทโดยอัตโนมัติ ให้ซูมไปที่รูปที่ต้องการ แล้วจัดสเกลให้ถูกต้อง
8. (ข้อนี้สำคัญเหมือนกัน .. ก่อนที่เราจะไปทำตามขั้นตอน 1~7) ให้คลิกที่วิวพอร์ทแล้วคลิกขวาค้าง แล้วเลือก Display locked / Yes เพื่อล็อควิวพอร์ท
--------------------------------------------------------------------
ทำซ้ำข้อ 1~8 กับวิวพอร์ทที่เหลือ



__________________
!! เบสิค..แน่น..เปรียบเหมือน.เทคนิค.ที่หวือหวา !!
KanoknonP is offline   Reply With Quote
Old 24-11-2009, 01:02 PM   #9
KanoknonP
สมาชิกไทยวิซ
 
KanoknonP's Avatar
 
Join Date: Apr 2007
Location: หนองคาย
Posts: 716
KanoknonP has a spectacular aura aboutKanoknonP has a spectacular aura about
Default

ต่อจากหน้าที่แล้วครับ
รูปที่เสร็จแล้วหลังจากที่จัดทำตามขั้นตอน 1~8



ลองนำไปประยุกต์ดูนะครับ เผื่อใครจะมีวิธีอื่นอีก นำมาแลกกันนะครับ ..
__________________
!! เบสิค..แน่น..เปรียบเหมือน.เทคนิค.ที่หวือหวา !!
KanoknonP is offline   Reply With Quote
Old 24-11-2009, 02:32 PM   #10
LUCIFER666
สมาชิกไทยวิซ
 
LUCIFER666's Avatar
 
Join Date: May 2008
Location: BKK
Posts: 63
LUCIFER666 is on a distinguished road
Default

กำลังทำตามทุกความเห็นอย่างตั้งใจค่ะ

ขอบคุณมากมายเลยค่ะ สำหรับคำอธิบายจากปรมาจารย์ทุกท่าน
จะพยายามทำให้ได้ค่ะ
__________________
Never fear shadow.

They simply mean there's a light shining

some where near by.
LUCIFER666 is offline   Reply With Quote
Old 14-12-2009, 01:44 PM   #11
baggio11
สมาชิกไทยวิซ
 
baggio11's Avatar
 
Join Date: Jun 2008
Posts: 132
baggio11 is on a distinguished road
Send a message via MSN to baggio11
Default

ว้าว ๆ สุดยอด
baggio11 is offline   Reply With Quote
Old 16-12-2009, 12:08 AM   #12
GodJi
สมาชิกไทยวิซ
 
Join Date: Nov 2006
Posts: 61
GodJi is on a distinguished road
Default

อ่าผมถนัดทำใช้คำสั่งแบบนี้อ่ะคับ ใช้แค่ 2 คำสั่ง

Command: UCS
Current ucs name: *WORLD*
Specify origin of UCS or [Face/NAmed/OBject/Previous/View/World/X/Y/Z/ZAxis] <World>: z

Specify rotation angle about Z axis <90>: <<< หมุนแกนตามชอบ

Command: plan

Enter an option [Current ucs/Ucs/World] <Current>: <<< จะปรับไปตามแกนเราหมุน
Regenerating model.


ปล. ผมทำติวเตอร์ไม่เก่ง อธิบายไม่ค่อยถูกขอโทษมา ณ ที่นี้ด้วย ผมถนัดใช้ Command เพราะฝึกมาตั้งแต่ cad12 *-* ตอนนี้ยังไม่เก่งตามเดิม ได้ความรู้จากบอร์ดนี้เยอะมาก ขอบคุณทุกท่านด้วยครับ
__________________
เดินทางสบายๆ ไม่เป็น ="=a ...
GodJi is offline   Reply With Quote
Old 10-08-2010, 01:39 PM   #13
LUCIFER666
สมาชิกไทยวิซ
 
LUCIFER666's Avatar
 
Join Date: May 2008
Location: BKK
Posts: 63
LUCIFER666 is on a distinguished road
Default

กลับมารื้อฟื้นคำสั่งใหม่ อีกทีหลังจากคืนอาจารย์ไปนาน 55555 ดีใจจังที่มีบอร์ดนี้ :d:d:d
__________________
Never fear shadow.

They simply mean there's a light shining

some where near by.
LUCIFER666 is offline   Reply With Quote
Old 10-08-2010, 02:28 PM   #14
Vixay
สมาชิกไทยวิซ
 
Join Date: Oct 2006
Posts: 121
Vixay is on a distinguished road
Default

-คริก layout ที่ต้องกานหมุน
-double คริกใน viewport
-พิม dv กด enter 2 ครั้ง
-พิม tw กด enter 2 ครั้ง
-พิมมุมตามต้องกาน กด enter 2 ครั้ง
ถ้าช้ำ โทดที แค่อยากทำแต้ม
Vixay is offline   Reply With Quote
Old 20-03-2011, 06:44 PM   #15
zerobornll
สมาชิกไทยวิซ
 
zerobornll's Avatar
 
Join Date: Nov 2006
Posts: 209
zerobornll is on a distinguished road
Default

ขอบคุณมากผมเองก็งงมานานเหมือนกัน
:d
__________________

To view links or images in signatures your post count must be 10 or greater. You currently have 0 posts.

satan monster 3D max
zerobornll is offline   Reply With Quote
Old 26-06-2011, 06:17 PM   #16
TheFifteen
สมาชิกไทยวิซ
 
TheFifteen's Avatar
 
Join Date: May 2011
Location: Asoke
Posts: 22
TheFifteen is on a distinguished road
Thumbs up

ขอบคุณครับ ความรู้ใหม่สำหรับผม
TheFifteen is offline   Reply With Quote
Old 27-06-2011, 10:45 AM   #17
aho_cn
Senior Members
 
aho_cn's Avatar
 
Join Date: Oct 2006
Location: ชัยนาท
Posts: 1,436
aho_cn is a splendid one to beholdaho_cn is a splendid one to beholdaho_cn is a splendid one to beholdaho_cn is a splendid one to beholdaho_cn is a splendid one to beholdaho_cn is a splendid one to beholdaho_cn is a splendid one to behold
Default

cad 2012 สะดวกมากครับ
1.ดับเบิ้ลคลิกในวิวพอท
2.คลิกที่ตัว ucs คลิกปลายแกน Y แล้วหมุนไปตามทิศทางที่ต้องการ
3.พิมพ์ plan enter 2 ครั้งจบเลยครับ
สะดวกมาก
aho_cn is offline   Reply With Quote
Old 24-02-2014, 11:01 AM   #18
Mr.GstarCAD
สมาชิกไทยวิซ
 
Join Date: Oct 2011
Posts: 115
Mr.GstarCAD is on a distinguished road
Default ขอบคุณมากครับ

Mr.GstarCAD
www.thaigstarcad.com
Join to us on facebook :Thai GstarCAD
Mr.GstarCAD is offline   Reply With Quote
Old 03-06-2014, 01:46 AM   #19
Mr.GstarCAD
สมาชิกไทยวิซ
 
Join Date: Oct 2011
Posts: 115
Mr.GstarCAD is on a distinguished road
Default หน้าต่างเป็นแบบนี้ป่าวครับ



Mr.GstarCAD
http://www.thaigstarcad.com/webboard/
Mr.GstarCAD is offline   Reply With Quote
Old 07-02-2015, 11:50 AM   #20
joke826201
สมาชิกไทยวิซ
 
Join Date: Mar 2012
Location: Nonthaburi
Posts: 41
joke826201 is on a distinguished road
Send a message via MSN to joke826201
Default

เดี่ยวนี้ง่ายแล้วครับ คลิกที่เส้นMVIEW แล้วคลิกขวา สั่ง Rotate ได้เลย
joke826201 is offline   Reply With Quote
Old 12-05-2011, 11:38 AM   #21
BOYBAD
สมาชิกไทยวิซ
 
Join Date: May 2011
Posts: 12
BOYBAD is on a distinguished road
Default

Quote:
Originally Posted by LUCIFER666 View Post
คือเขียน drawing ปกติในระนาบของหน้า model นะคะ แต่อยากให้ภาพในหน้า paper เป้นภาพ rotate 90 องศาน่ะค่ะ โดยที่ภาพในหน้า model ยังคงเหมือนเดิม เพื่อนๆที่ทราบรบกวนหน่อยนะคะ (พยายามหาในนี้แล้วไม่มีค่ะ หรือว่าหาไม่เจอก็ไม่รู้ค่ะ)

ขอบคุณล่วงหน้านะคะ
ดีคับ ผมพอมีความรู้อยู่บ้างคับ ลองใช้ lisp คับ

commans:RV

;;;Written By saman
;;; Concept from saman Tips & Tools Weekly - Sept. 15, 2010
;;; by saman
;;;
;;;Program for Rotate View in paperspace
(defun c:rv (/ sset DPL DPLS vprt a1 a2)
(vl-load-com)
(setvar "cmdecho" 0)
(command "pspace");;move to paperspace
(terpri)
(princ "\nViewport to rotate...")
(setq sset(ssget ":s" '((0 . "viewport"))));;Select viewport
;;;
(setq DPL (vlax-ename->vla-object (ssname sset 0)));;Get viewport name
(setq DPLS (vlax-get-property DPL "DisplayLocked"));;Get Locked Status for Viewport
(vla-put-DisplayLocked DPL :vlax-false);; UNLOCK Viewport
;;;
(setq vprt(cdr(assoc 69 (entget(ssname sset 0)))))
(setq a1 (getangle "\nEnter or Select rotation angle..."));;Get Rotation Angle
(setq a2 (* a1 57.29578))
(command "mspace");;move to modelspace
(command "cvport" vprt);;Get selected viewport
(command "_.DVIEW" "" "_TW" a2 "");;Rotate view
(command "pspace");;Return to paperspace
;;;
(vla-put-DisplayLocked DPL DPLS);;; Restore Locked Status for Viewport
;;;
(setvar "cmdecho" 1)
(princ)
)
BOYBAD is offline   Reply With Quote
Old 09-02-2017, 10:51 AM   #22
praphansak
สมาชิกไทยวิซ
 
Join Date: Feb 2017
Posts: 9
praphansak is on a distinguished road
Default

เข้ามาหาความรู้ ขอบคุณครับ
praphansak is offline   Reply With Quote
Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT +7. The time now is 11:12 AM.

Design Developed by CompleteGFX
Powered by vBulletin® Version 3.8.5
Copyright ©2000 - 2017, Jelsoft Enterprises Ltd.
Copyright ©2002-2010 Thai3dViz Co.,Ltd.
Hosting by THAISITE.net